## altos 1.9.17

=== src/draw/Makefile ===
TOPDIR=..
include $(TOPDIR)/Makefile.defs

vpath %.bdf fonts

BITMAP_SIZES = 10, 12, 14, 16, 18, 24, 26, 28, 32, 36, 48, 58, 60, 62, 64, 72

BDFS=\
	BenguiatGothicStd-Bold-10.bdf \
	BenguiatGothicStd-Bold-12.bdf \
	BenguiatGothicStd-Bold-14.bdf \
	BenguiatGothicStd-Bold-16.bdf \
	BenguiatGothicStd-Bold-18.bdf \
	BenguiatGothicStd-Bold-24.bdf \
	BenguiatGothicStd-Bold-26.bdf \
	BenguiatGothicStd-Bold-28.bdf \
	BenguiatGothicStd-Bold-32.bdf \
	BenguiatGothicStd-Bold-36.bdf \
	BenguiatGothicStd-Bold-48.bdf \
	BenguiatGothicStd-Bold-64.bdf \
	BenguiatGothicStd-Bold-72.bdf \
	BenguiatGothicStd-Medium-10.bdf \
	BenguiatGothicStd-Medium-12.bdf \
	BenguiatGothicStd-Medium-14.bdf \
	BenguiatGothicStd-Medium-16.bdf \
	BenguiatGothicStd-Medium-18.bdf \
	BenguiatGothicStd-Medium-24.bdf \
	BenguiatGothicStd-Medium-26.bdf \
	BenguiatGothicStd-Medium-28.bdf \
	BenguiatGothicStd-Medium-32.bdf \
	BenguiatGothicStd-Medium-36.bdf \
	BenguiatGothicStd-Medium-48.bdf \
	BenguiatGothicStd-Medium-64.bdf \
	BenguiatGothicStd-Medium-72.bdf \
	BitstreamVeraSansMono-Roman-10.bdf \
	BitstreamVeraSansMono-Roman-12.bdf \
	BitstreamVeraSansMono-Roman-14.bdf \
	BitstreamVeraSansMono-Roman-16.bdf \
	BitstreamVeraSansMono-Roman-18.bdf \
	BitstreamVeraSansMono-Roman-24.bdf \
	BitstreamVeraSansMono-Roman-26.bdf \
	BitstreamVeraSansMono-Roman-28.bdf \
	BitstreamVeraSansMono-Roman-32.bdf \
	BitstreamVeraSansMono-Roman-36.bdf \
	BitstreamVeraSansMono-Roman-48.bdf \
	BitstreamVeraSansMono-Roman-64.bdf \
	BitstreamVeraSansMono-Roman-72.bdf \
	BitstreamVeraSans-Roman-10.bdf \
	BitstreamVeraSans-Roman-12.bdf \
	BitstreamVeraSans-Roman-14.bdf \
	BitstreamVeraSans-Roman-16.bdf \
	BitstreamVeraSans-Roman-18.bdf \
	BitstreamVeraSans-Roman-24.bdf \
	BitstreamVeraSans-Roman-26.bdf \
	BitstreamVeraSans-Roman-28.bdf \
	BitstreamVeraSans-Roman-32.bdf \
	BitstreamVeraSans-Roman-36.bdf \
	BitstreamVeraSans-Roman-48.bdf \
	BitstreamVeraSans-Roman-58.bdf \
	BitstreamVeraSans-Roman-60.bdf \
	BitstreamVeraSans-Roman-62.bdf \
	BitstreamVeraSans-Roman-64.bdf \
	BitstreamVeraSans-Roman-72.bdf \
	FrutigerLT-Roman-10.bdf \
	FrutigerLT-Roman-12.bdf \
	FrutigerLT-Roman-14.bdf \
	FrutigerLT-Roman-16.bdf \
	FrutigerLT-Roman-18.bdf \
	FrutigerLT-Roman-24.bdf \
	FrutigerLT-Roman-26.bdf \
	FrutigerLT-Roman-28.bdf \
	FrutigerLT-Roman-32.bdf \
	FrutigerLT-Roman-36.bdf \
	FrutigerLT-Roman-48.bdf \
	FrutigerLT-Roman-64.bdf \
	FrutigerLT-Roman-72.bdf \
	NotoMono-10.bdf \
	NotoMono-12.bdf \
	NotoMono-14.bdf \
	NotoMono-16.bdf \
	NotoMono-18.bdf \
	NotoMono-24.bdf \
	NotoMono-26.bdf \
	NotoMono-28.bdf \
	NotoMono-32.bdf \
	NotoMono-36.bdf \
	NotoMono-48.bdf \
	NotoMono-64.bdf \
	NotoMono-72.bdf

FONT_SRCS=$(BDFS:.bdf=.c)

.SUFFIXES: .bdf .c

.bdf.c:
	nickle font-convert -o $@ $<

all: ao_font.h ao_logo.h lco-test line-test

$(FONT_SRCS): font-convert

ao_font.h: $(FONT_SRCS)
	grep -h '^const struct ao_font' $(FONT_SRCS) | sed -e 's/^/extern /' -e 's/ =.*$$/;/' > $@

ao_logo.h: make-logo
	nickle make-logo ao_logo > $@

LIB_SRCS=\
	ao_blt.c \
	ao_box.c \
	ao_copy.c \
	ao_line.c \
	ao_pattern.c \
	ao_rect.c \
	ao_poly.c \
	ao_text.c \
	ao_logo.c \
	$(FONT_SRCS)

LCO_TEST_SRCS=$(LIB_SRCS) lco-test.c
LCO_TEST_OBJS=$(LCO_TEST_SRCS:.c=.o)

LINE_TEST_SRCS=$(LIB_SRCS) line-test.c
LINE_TEST_OBJS=$(LINE_TEST_SRCS:.c=.o)

TEST_LIBS=-lXrender -lXext -lX11 -lm -Wl,--gc-sections

CFLAGS=-O0 -g $(WARN_FLAGS) -DVALIDATE -I.

HEADERS=\
	ao_draw.h \
	ao_draw_int.h \
	ao_font.h \
	ao_logo.h

lco-test: $(LCO_TEST_OBJS)
	cc $(CFLAGS) -o $@ $(LCO_TEST_OBJS) $(TEST_LIBS)

lco-test.o: test-frame.c frame.c

$(LCO_TEST_OBJS): $(HEADERS)

line-test: $(LINE_TEST_OBJS)
	cc $(CFLAGS) -o $@ $(LINE_TEST_OBJS) $(TEST_LIBS)

line-test.o: test-frame.c frame.c

$(LINE_TEST_OBJS): $(HEADERS)

clean:
	rm -f $(LCO_TEST_OBJS) ao_font.h ao_logo.h $(FONT_SRCS)

=== src/microkite/Makefile ===
#
# Tiny AltOS build
#
#
TOPDIR=..
include $(TOPDIR)/attiny/Makefile.defs

PROGNAME=microkite-v0.1
PROG=$(PROGNAME)-$(VERSION).elf
HEX=$(PROGNAME)-$(VERSION).ihx

SCRIPT=microkite-load

PUBLISH_DIR=$(HOME)/altusmetrumllc/Binaries
PUBLISH_HEX=$(PUBLISH_DIR)/$(HEX)
PUBLISH_SCRIPT=$(PUBLISH_DIR)/$(SCRIPT)

ALTOS_SRC = \
	ao_micropeak.c \
	ao_spi_attiny.c \
	ao_led_tiny.c \
	ao_clock.c \
	ao_ms5607.c \
	ao_exti.c \
	ao_convert_pa.c \
	ao_report_micro.c \
	ao_notask.c \
	ao_eeprom_tiny.c \
	ao_panic.c \
	ao_log_micro.c \
	ao_async.c \
	ao_microflight.c \
	ao_microkalman.c

INC=\
	ao.h \
	ao_pins.h \
	ao_arch.h \
	ao_arch_funcs.h \
	ao_exti.h \
	ao_ms5607.h \
	ao_log_micro.h \
	ao_micropeak.h \
	ao_product.h \
	altitude-pa.h

IDPRODUCT=0
PRODUCT=MicroKite-v0.1
PRODUCT_DEF=-DMICROPEAK
CFLAGS = $(PRODUCT_DEF) $(ATTINY_CFLAGS)

SRC=$(ALTOS_SRC)
OBJ=$(SRC:.c=.o)

all: $(PROG) $(HEX) $(SCRIPT)

CHECK=sh ../util/check-avr-mem

$(PROG): Makefile $(OBJ)
	$(call quiet,CC) $(LDFLAGS) $(CFLAGS) -o $(PROG) $(OBJ)
	$(call quiet,CHECK) $(PROG) || ($(RM) -f $(PROG); exit 1)

$(HEX): $(PROG)
	avr-size $(PROG)
	$(OBJCOPY) -R .eeprom -O ihex $(PROG) $@

load: $(HEX)
	$(LOADCMD) $(LOADARG)$(HEX)

load-slow: $(HEX)
	$(LOADCMD) $(LOADSLOW) $(LOADARG)$(HEX)

distclean:	clean

clean:
	rm -f *.o *.elf *.ihx $(SCRIPT) *.map
	rm -f ao_product.h

publish: $(PUBLISH_HEX) $(PUBLISH_SCRIPT)

$(PUBLISH_HEX): $(HEX)
	cp -a $(HEX) $@

$(PUBLISH_SCRIPT): $(SCRIPT)
	cp -a $(SCRIPT) $@

load-product:
	./$(SCRIPT) fast

load-product-slow:
	./$(SCRIPT) slow

$(SCRIPT): $(SCRIPT).tmpl Makefile $(TOPDIR)/Makedefs
	sed -e 's/%HEX%/$(HEX)/' -e 's/%LOADCMD%/$(LOADCMD)/' -e 's/%LOADARG%/$(LOADARG)/' -e 's/%LOADSLOW%/$(LOADSLOW)/' $(SCRIPT).tmpl > $@ || (rm $@ && exit 1)
	chmod +x $@

install:

uninstall:

$(OBJ): $(INC)

=== src/microsplash/Makefile ===
#
# Tiny AltOS build
#
#
TOPDIR=..
include $(TOPDIR)/attiny/Makefile.defs

PROGNAME=microsplash-v1.0
PROG=$(PROGNAME)-$(VERSION).elf
HEX=$(PROGNAME)-$(VERSION).ihx

SCRIPT=microsplash-load

PUBLISH_DIR=$(HOME)/altusmetrumllc/Binaries
PUBLISH_HEX=$(PUBLISH_DIR)/$(HEX)
PUBLISH_SCRIPT=$(PUBLISH_DIR)/$(SCRIPT)

ALTOS_SRC = \
	ao_micropeak.c \
	ao_spi_attiny.c \
	ao_led_tiny.c \
	ao_clock.c \
	ao_ms5607.c \
	ao_exti.c \
	ao_convert_pa.c \
	ao_report_micro.c \
	ao_notask.c \
	ao_eeprom_tiny.c \
	ao_panic.c \
	ao_log_micro.c \
	ao_async.c \
	ao_microflight.c \
	ao_microkalman.c

INC=\
	ao.h \
	ao_pins.h \
	ao_arch.h \
	ao_arch_funcs.h \
	ao_exti.h \
	ao_ms5607.h \
	ao_log_micro.h \
	ao_micropeak.h \
	ao_product.h \
	altitude-pa.h

IDPRODUCT=0
PRODUCT=MicroSplash-v1.0
PRODUCT_DEF=-DMICROPEAK
CFLAGS = $(PRODUCT_DEF) $(ATTINY_CFLAGS)

SRC=$(ALTOS_SRC)
OBJ=$(SRC:.c=.o)

all: $(PROG) $(HEX) $(SCRIPT)

CHECK=sh ../util/check-avr-mem

$(PROG): Makefile $(OBJ)
	$(call quiet,CC) $(LDFLAGS) $(CFLAGS) -o $(PROG) $(OBJ)
	$(call quiet,CHECK) $(PROG) || ($(RM) -f $(PROG); exit 1)

$(HEX): $(PROG)
	avr-size $(PROG)
	$(OBJCOPY) -R .eeprom -O ihex $(PROG) $@

load: $(HEX)
	$(LOADCMD) $(LOADARG)$(HEX)

load-slow: $(HEX)
	$(LOADCMD) $(LOADSLOW) $(LOADARG)$(HEX)

distclean:	clean

clean:
	rm -f *.o *.elf *.ihx *.map $(SCRIPT)
	rm -f ao_product.h

publish: $(PUBLISH_HEX) $(PUBLISH_SCRIPT)

$(PUBLISH_HEX): $(HEX)
	cp -a $(HEX) $@

$(PUBLISH_SCRIPT): $(SCRIPT)
	cp -a $(SCRIPT) $@

load-product:
	./$(SCRIPT) fast

load-product-slow:
	./$(SCRIPT) slow

$(SCRIPT): $(SCRIPT).tmpl Makefile $(TOPDIR)/Makedefs
	sed -e 's/%HEX%/$(HEX)/' -e 's/%LOADCMD%/$(LOADCMD)/' -e 's/%LOADARG%/$(LOADARG)/' -e 's/%LOADSLOW%/$(LOADSLOW)/' $(SCRIPT).tmpl > $@ || (rm $@ && exit 1)
	chmod +x $@

install:

uninstall:

$(OBJ): $(INC)

=== src/telemetrum-v3.0/Makefile ===
#
# AltOS build
#
#

include ../stm/Makefile.defs

INC = \
	ao.h \
	ao_arch.h \
	ao_arch_funcs.h \
	ao_boot.h \
	ao_companion.h \
	ao_data.h \
	ao_sample.h \
	ao_pins.h \
	altitude-pa.h \
	ao_kalman.h \
	ao_product.h \
	ao_ms5607.h \
	ao_adxl375.h \
	ao_cc1200_CC1200.h \
	ao_profile.h \
	ao_task.h \
	ao_whiten.h \
	ao_sample_profile.h \
	ao_mpu.h \
	stm32l.h \
	Makefile

#PROFILE=ao_profile.c
#PROFILE_DEF=-DAO_PROFILE=1

#SAMPLE_PROFILE=ao_sample_profile.c \
#	ao_sample_profile_timer.c
#SAMPLE_PROFILE_DEF=-DHAS_SAMPLE_PROFILE=1

#STACK_GUARD=ao_mpu_stm.c
#STACK_GUARD_DEF=-DHAS_STACK_GUARD=1

ALTOS_SRC = \
	ao_boot_chain.c \
	ao_interrupt.c \
	ao_product.c \
	ao_romconfig.c \
	ao_cmd.c \
	ao_config.c \
	ao_task.c \
	ao_led_stm.c \
	ao_stdio.c \
	ao_panic.c \
	ao_timer.c \
	ao_mutex.c \
	ao_serial_stm.c \
	ao_gps_ublox.c \
	ao_gps_show.c \
	ao_gps_report_metrum.c \
	ao_ignite.c \
	ao_freq.c \
	ao_dma_stm.c \
	ao_spi_stm.c \
	ao_cc1200.c \
	ao_fec_tx.c \
	ao_fec_rx.c \
	ao_data.c \
	ao_ms5607.c \
	ao_adxl375.c \
	ao_adc_stm.c \
	ao_beep_stm.c \
	ao_storage.c \
	ao_m25.c \
	ao_usb_stm.c \
	ao_exti_stm.c \
	ao_eeprom_stm.c \
	ao_report.c \
	ao_convert_pa.c \
	ao_convert_volt.c \
	ao_log.c \
	ao_log_metrum.c \
	ao_sample.c \
	ao_kalman.c \
	ao_flight.c \
	ao_telemetry.c \
	ao_packet_slave.c \
	ao_packet.c \
	ao_companion.c \
	ao_aprs.c \
	$(PROFILE) \
	$(SAMPLE_PROFILE) \
	$(STACK_GUARD)

PRODUCT=TeleMetrum-v3.0
PRODUCT_DEF=-DTELEMETRUM_V_3_0
IDPRODUCT=0x000b

CFLAGS = $(PRODUCT_DEF) $(STM_CFLAGS) $(PROFILE_DEF) $(SAMPLE_PROFILE_DEF) $(STACK_GUARD_DEF)

PROGNAME=telemetrum-v3.0
PROG=$(PROGNAME)-$(VERSION).elf
HEX=$(PROGNAME)-$(VERSION).ihx

SRC=$(ALTOS_SRC) ao_telemetrum.c
OBJ=$(SRC:.c=.o)

all: $(PROG) $(HEX)

$(PROG): Makefile $(OBJ) altos.ld
	$(call quiet,CC) $(LDFLAGS) -o $(PROG) $(OBJ) $(LIBS)

$(OBJ): $(INC)

distclean:	clean

clean:
	rm -f *.o $(PROGNAME)-*.elf $(PROGNAME)-*.ihx $(PROGNAME)-*.map
	rm -f ao_product.h

install:

uninstall:

=== src/telefiretwo-v0.1/flash-loader/Makefile ===
#
# AltOS flash loader build
#
#

TOPDIR=../..
HARDWARE=telefiretwo-v0.1
include $(TOPDIR)/stm/Makefile-flash.defs

=== debian/changelog ===
altos (1.9.17-1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:10:20 +1100

altos (1.9.17-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libelf1t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 01 Mar 2024 00:54:31 +0000

altos (1.9.17-1ubuntu1) noble; urgency=medium

  * d/rules: pass java_compat_level provided by java-common as a
    configure option (LP: #2054254).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Mon, 19 Feb 2024 12:16:52 +1300

altos (1.9.17-1) unstable; urgency=medium

  [ Bdale Garbee ]
  * have TeleGPS production script save RF cal value
  * update Releasing based on 1.9.16 release experiences
  * doc: fix a typo in the staging example
  * ao-test-igniter: allow anything other than 'open' to be valid so LED tests work
  * ao-bringup: be consistent with success text in TeleGPS test script
  * update ChangeLog for 1.9.17 release

  [ Keith Packard ]
  * altos-mapd: Install systemd dir in arch-independent location
  * altoslib: Support Monitor Idle for EasyMini-3
  * altos/stm32f042: Increase interrupt stack to 256 bytes
  * altos: Add AO_STACK_CANARY to detect stack overflows sometimes
  * altos/stmf0: Disable ao_boot_check_pin if not in use
  * altos: Compute igniter good/bad thresholds using 3.5V value
  * altos: Add pyro voltage divider values to boards with them
  * altos: Don't include ao_pyro.h into telelco code
  * altos: Use pyro voltage to check igniters
  * altos: Use ublox-10 mode for TM v4.0
  * doc: Release notes for 1.9.17
  * Version 1.9.17

 -- Bdale Garbee <bdale@gag.com>  Wed, 30 Aug 2023 10:50:23 -0600

=== debian/control ===
Source: altos
Section: electronics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Bdale Garbee <bdale@gag.com>
Uploaders: Keith Packard <keithp@keithp.com>
Build-Depends: asciidoctor,
               ruby-asciidoctor-pdf,
               strip-nondeterminism,
               autoconf,
               automake,
               debhelper (>= 13),
               default-jdk,
	       faketime,
               freetts,
               gawk,
               gcc-arm-none-eabi,
               picolibc-arm-none-eabi,
               graphicsmagick | imagemagick,
               graphviz,
               icnsutils,
               icoutils,
               libbluetooth-dev,
               libelf-dev,
	       libjansson-dev,
	       libjson-c-dev,
               gtk-update-icon-cache,
               libjfreechart-java,
               libreadline-dev,
               librsvg2-bin,
               libtool,
               libusb-1.0-0-dev,
               netpbm,
               nickle,
	       cairo-5c,
               pkg-config,
               shared-mime-info,
               swig
Standards-Version: 4.6.0
Homepage: http://altusmetrum.org/AltOS
Vcs-Git: git://git.gag.com/fw/altos -b debian
Vcs-Browser: http://git.gag.com/?p=fw/altos

Package: altos
Architecture: any
Depends: default-jre | java2-runtime,
         freetts,
         libjfreechart-java,
         nickle,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: altusmetrum-themes, slim-altusmetrum
Conflicts: altusmetrum-themes, slim-altusmetrum
Description: Altus Metrum firmware and utilities
 Firmware and utilities needed to support high power model rocketry products
 from Altus Metrum, including TeleMetrum, TeleMini, and TeleDongle.
 .
 See http://altusmetrum.org/ for more information.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/java/java_defaults.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DH_VERBOSE=1
PKG_VERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)/\1/p')

# this target invoked by git-buildpackage using a clean hook, see .gbp.conf
prebuild:
	echo "not frobbing changelog for official builds"

configure_flags = \
	--disable-install-shared-mime-info \
	--enable-faketime \
	--disable-multi-arch \
	--with-java-version=$(java_compat_level)

configure: configure-stamp
configure-stamp:
	autoreconf --force -v --install
	dh_auto_configure -- $(configure_flags) && touch $@

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp: configure-stamp  
	dh_testdir
	$(MAKE)
	(cd doc ; $(MAKE))
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	rm -f debian/altos.sharedmimeinfo
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep  
	dh_installdirs

	$(MAKE) DESTDIR=$(CURDIR)/debian/altos install
	sed -i "/dependency_libs/ s/'.*'/''/" `find debian/altos/ -name '*.la'`

binary-indep: install

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_install
	ln -s /usr/share/altos/themes/background.png \
		debian/altos/usr/share/gdm/themes/altusmetrum/background.png
	ln -s /usr/share/altos/themes/background.png \
		debian/altos/usr/share/slim/themes/altusmetrum/background.png
	dh_installmenu
	cp icon/org-altusmetrum-mimetypes.xml debian/altos.sharedmimeinfo
	dh_installmime
	dh_installman
	dh_lintian
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## altos 1.9.18

=== src/Makefile ===
#
# AltOS build
#

vpath make-altitude util
vpath make-altitude-pa util
vpath make-kalman util
vpath make-whiten util
vpath kalman.5c kalman
vpath kalman_filter.5c kalman
vpath kalman_micro.5c kalman
vpath load_csv.5c kalman
vpath matrix.5c kalman

TOPDIR=.

include Makedefs

ARMM3DIRS=\
	easymega-v1.0 easymega-v1.0/flash-loader \
	easymega-v2.0 easymega-v2.0/flash-loader \
	easymotor-v3 easymotor-v3/flash-loader \
	easytimer-v1 easytimer-v1/flash-loader \
	easytimer-v2 easytimer-v2/flash-loader \
	telemega-v0.1 telemega-v0.1/flash-loader \
	telemega-v1.0 telemega-v1.0/flash-loader \
	telemega-v2.0 telemega-v2.0/flash-loader \
	telemega-v3.0 telemega-v3.0/flash-loader \
	telemega-v4.0 telemega-v4.0/flash-loader \
	telemega-v5.0 telemega-v5.0/flash-loader \
	telemega-v6.0 telemega-v6.0/flash-loader \
	telemetrum-v2.0 telemetrum-v2.0/flash-loader \
	telemetrum-v3.0 telemetrum-v3.0/flash-loader \
	telegps-v0.3 telegps-v0.3/flash-loader \
	telegps-v1.0 telegps-v1.0/flash-loader \
	telegps-v2.0 telegps-v2.0/flash-loader \
	telegps-v3.0 telegps-v3.0/flash-loader \
	telelco-v0.2 telelco-v0.2/flash-loader \
	telelco-v0.2-cc1200 telelco-v0.2-cc1200/flash-loader \
	telelco-v0.3 telelco-v0.3/flash-loader \
	telelco-v2.0 telelco-v2.0/flash-loader \
	teledongle-v3.0 teledongle-v3.0/flash-loader \
	teleballoon-v2.0 \
	telebt-v3.0 telebt-v3.0/flash-loader \
	telebt-v4.0 telebt-v4.0/flash-loader \
	telelcotwo-v0.1 telelcotwo-v0.1/flash-loader \
	telefireone-v1.0 telefireone-v1.0/flash-loader \
	telefiretwo-v0.1 telefiretwo-v0.1/flash-loader \
	telefireeight-v1.0 telefireeight-v1.0/flash-loader \
	telefireeight-v2.0 telefireeight-v2.0/flash-loader 

ARMM0DIRS=\
	easymini-v1.0 easymini-v1.0/flash-loader \
	chaoskey-v1.0 chaoskey-v1.0/flash-loader \
	telemetrum-v4.0 telemetrum-v4.0/flash-loader \
	telemini-v3.0 telemini-v3.0/flash-loader \
	easymini-v2.0 easymini-v2.0/flash-loader \
	easymini-v3.0 easymini-v3.0/flash-loader \
	telelco-v3.0 telelco-v3.0/flash-loader \
	easymega-v3.0 easymega-v3.0/flash-loader \
	micropeak-v2.0

AVRDIRS=\
	micropeak microkite microsplash

SUBDIRS=draw

ifeq ($(strip $(HAVE_ARM_M3_CC)),yes)
SUBDIRS+=$(ARMM3DIRS)
foo=bar
endif

ifeq ($(strip $(HAVE_ARM_M0_CC)),yes)
SUBDIRS+=$(ARMM0DIRS)
baz=bletch
endif

ifeq ($(strip $(HAVE_AVR_CC)),yes)
SUBDIRS += $(AVRDIRS)
endif

ALLDIRS=$(ARMM3DIRS) $(ARMM0DIRS) $(AVRDIRS)

all: all-local all-recursive

RECURSIVE_TARGETS = all-recursive install-recursive

$(RECURSIVE_TARGETS):
	@target=`echo $@ | sed 's/-recursive//'`; \
	for subdir in $(SUBDIRS); do \
		echo "Making $$target in $$subdir"; \
		(cd $$subdir && $(MAKE) $$target) || exit 1; \
	done

ALL_RECURSIVE_TARGETS = clean-recursive

$(ALL_RECURSIVE_TARGETS):
	@target=`echo $@ | sed 's/-recursive//'`; \
	for subdir in $(ALLDIRS); do \
		echo "Making $$target in $$subdir"; \
		(cd $$subdir && $(MAKE) $$target) || exit 1; \
	done

distclean:	clean

clean: clean-local clean-recursive

install: install-recursive

uninstall:

all-recursive: all-local

all-local: altitude.h altitude-pa.h altitude-pa-small.h ao_kalman.h ao_whiten.h $(PDCLIB)

altitude.h: make-altitude
	nickle $< > $@

altitude-pa.h: make-altitude-pa
	nickle $< > $@

altitude-pa-small.h: make-altitude-pa
	nickle $< --sample 3 > $@

ao_kalman.h: make-kalman kalman.5c kalman_micro.5c kalman_filter.5c load_csv.5c matrix.5c
	bash $< kalman > $@

ao_whiten.h: make-whiten
	nickle $< > $@

clean-local: $(CLEAN_PDCLIB)
	rm -f altitude.h ao_kalman.h

=== src/easymega-v3.0/Makefile ===
#
# AltOS build
#
#

include ../stm32f1/Makefile.defs

INC = \
	ao.h \
	ao_arch.h \
	ao_arch_funcs.h \
	ao_boot.h \
	ao_companion.h \
	ao_data.h \
	ao_sample.h \
	ao_pins.h \
	altitude-pa.h \
	ao_kalman.h \
	ao_product.h \
	ao_ms5607.h \
	ao_bmx160.h \
	ao_adxl375.h \
	ao_task.h \
	ao_whiten.h \
	ao_sample_profile.h \
	ao_quaternion.h \
	stm32f1.h \
	Makefile

#
# Common AltOS sources
#

ALTOS_SRC = \
	ao_boot_chain.c \
	ao_interrupt.c \
	ao_clock.c \
	ao_product.c \
	ao_romconfig.c \
	ao_cmd.c \
	ao_config.c \
	ao_task.c \
	ao_led.c \
	ao_stdio.c \
	ao_panic.c \
	ao_timer.c \
	ao_mutex.c \
	ao_ignite.c \
	ao_freq.c \
	ao_dma_stm.c \
	ao_spi_stm.c \
	ao_i2c_stm.c \
	ao_data.c \
	ao_ms5607.c \
	ao_bmi088.c \
	ao_mmc5983.c \
	ao_adxl375.c \
	ao_adc_stm.c \
	ao_beep_stm.c \
	ao_storage.c \
	ao_m25.c \
	ao_usb_stm.c \
	ao_exti_stm.c \
	ao_report.c \
	ao_convert_pa.c \
	ao_convert_volt.c \
	ao_log.c \
	ao_log_mega.c \
	ao_sample.c \
	ao_kalman.c \
	ao_flight.c \
	ao_companion.c \
	ao_pyro.c \
	$(PROFILE) \
	$(SAMPLE_PROFILE) \
	$(STACK_GUARD)

PRODUCT=EasyMega-v3.0
PRODUCT_DEF=-DEASYMEGA
IDPRODUCT=0x0028

CFLAGS = $(PRODUCT_DEF) $(STM32F1_CFLAGS)

PROGNAME=easymega-v3.0
PROG=$(PROGNAME)-$(VERSION).elf
HEX=$(PROGNAME)-$(VERSION).ihx

SRC=$(ALTOS_SRC) ao_easymega.c
OBJ=$(SRC:.c=.o)

all: $(PROG) $(HEX)

$(PROG): Makefile $(OBJ) altos.ld
	$(call quiet,CC) $(LDFLAGS) -o $(PROG) $(OBJ) $(LIBS)

$(OBJ): $(INC)

distclean:	clean

clean:
	rm -f *.o $(PROGNAME)-*.elf $(PROGNAME)-*.ihx
	rm -f ao_product.h

install:

uninstall:

=== src/easymini-v2.0/Makefile ===
#
# AltOS build
#
#

include ../stmf0/Makefile.defs

INC = \
	ao.h \
	ao_arch.h \
	ao_arch_funcs.h \
	ao_pins.h \
	ao_product.h \
	stm32f0.h

#
# Common AltOS sources
#

ALTOS_SRC = \
	ao_interrupt.c \
	ao_boot_chain.c \
	ao_romconfig.c \
	ao_product.c \
	ao_mutex.c \
	ao_panic.c \
	ao_stdio.c \
	ao_storage.c \
	ao_report.c \
	ao_ignite.c \
	ao_flight.c \
	ao_kalman.c \
	ao_sample.c \
	ao_data.c \
	ao_convert_pa.c \
	ao_convert_volt.c \
	ao_task.c \
	ao_log.c \
	ao_log_mini.c \
	ao_cmd.c \
	ao_config.c \
	ao_dma_stm.c \
	ao_timer.c \
	ao_exti_stm.c \
	ao_spi_stm.c \
	ao_adc_stm.c \
	ao_usb_stm.c \
	ao_m25.c \
	ao_ms5607.c \
	ao_beep_stm.c

PRODUCT=EasyMini-v2.0
PRODUCT_DEF=-DEASYMINI_V_2_0
IDPRODUCT=0x0026

CFLAGS = $(PRODUCT_DEF) $(STMF0_CFLAGS)

PROGNAME=easymini-v2.0
PROG=$(PROGNAME)-$(VERSION).elf
HEX=$(PROGNAME)-$(VERSION).ihx
FLASH_PROG=flash-loader/$(PROGNAME)-altos-flash-$(VERSION).elf
BOTH_DFU=$(PROGNAME)-combined-$(VERSION).dfu

MAKEBIN=$(TOPDIR)/../ao-tools/ao-makebin/ao-makebin

SRC=$(ALTOS_SRC) ao_easymini.c
OBJ=$(SRC:.c=.o)

all: $(PROG) $(HEX) $(BOTH_DFU)

$(PROG): Makefile $(OBJ)
	$(call quiet,CC) $(LDFLAGS) -o $(PROG) $(OBJ) $(LIBS)

$(BOTH_DFU): $(PROG) $(FLASH_PROG)
	$(MAKEBIN) --dfu --output=$@ --base=$(FLASH_ADDR) $(FLASH_PROG) $(PROG)

$(FLASH_PROG): FRC
	+cd flash-loader && make

$(OBJ): $(INC)

distclean:	clean

clean:
	rm -f *.o $(PROGNAME)-*.elf $(PROGNAME)-*.ihx $(PROGNAME)-*.map
	rm -f ao_product.h

install:

uninstall:

FRC:

=== src/telelco-v3.0/Makefile ===
#
# AltOS build for TeleLCO v3.0
#
#

STM32F1_LINKER_SCRIPT=altos-128.ld

include ../stm32f1/Makefile.defs

INC = \
	ao.h \
	ao_arch.h \
	ao_arch_funcs.h \
	ao_boot.h \
	ao_companion.h \
	ao_data.h \
	ao_sample.h \
	ao_pins.h \
	ao_product.h \
	ao_lco.h \
	ao_lco_cmd.h \
	ao_lco_func.h \
	ao_radio_spi.h \
	ao_radio_cmac.h \
	ao_cc1200_CC1200.h \
	ao_cc1200.h \
	ao_st7565.h \
	ao_font.h \
	ao_logo.h \
	stm32f1.h

#
# Common AltOS sources
#

ALTOS_SRC = \
	ao_boot_chain.c \
	ao_interrupt.c \
	ao_product.c \
	ao_romconfig.c \
	ao_cmd.c \
	ao_config.c \
	ao_task.c \
	ao_led.c \
	ao_stdio.c \
	ao_panic.c \
	ao_clock.c \
	ao_timer.c \
	ao_mutex.c \
	ao_freq.c \
	ao_adc_single_stm.c \
	ao_dma_stm.c \
	ao_spi_stm.c \
	ao_beep_stm.c \
	ao_convert_volt.c \
	ao_fast_timer.c \
	ao_pwm_stm.c \
	ao_eeprom.c \
	ao_flash_stm.c \
	ao_usb_stm.c \
	ao_exti_stm.c \
	ao_cc1200.c \
	ao_radio_cmac.c \
	ao_aes.c \
	ao_aes_tables.c \
	ao_st7565.c \
	ao_rect.c \
	ao_text.c \
	ao_text_width.c \
	ao_box.c \
	ao_copy.c \
	ao_blt.c \
	ao_line.c \
	ao_logo.c \
	ao_poly.c \
	BitstreamVeraSans-Roman-58.c \
	BitstreamVeraSans-Roman-24.c \
	BitstreamVeraSans-Roman-10.c \
	BitstreamVeraSans-Roman-12.c \
	BenguiatGothicStd-Bold-26.c \
	ao_quadrature.c \
	ao_button.c \
	ao_event.c \
	ao_lco_bits.c \
	ao_lco_v3.c \
	ao_lco_cmd.c \
	ao_lco_func.c \
	ao_radio_cmac_cmd.c

PRODUCT=TeleLCO-v3.0
PRODUCT_DEF=-DTELELCO
IDPRODUCT=0x0023

CFLAGS = $(PRODUCT_DEF) $(STM32F1_CFLAGS)

PROGNAME=telelco-v3.0
PROG=$(PROGNAME)-$(VERSION).elf
HEX=$(PROGNAME)-$(VERSION).ihx

SRC=$(ALTOS_SRC) ao_telelco.c
OBJ=$(SRC:.c=.o)

all: $(PROG) $(HEX)

$(PROG): Makefile $(OBJ) altos-128.ld
	$(call quiet,CC) $(LDFLAGS) -o $(PROG) $(OBJ) $(LIBS)

$(OBJ): $(INC)

distclean:	clean

clean:
	rm -f *.o $(PROGNAME)-*.elf $(PROGNAME)-*.ihx $(PROGNAME)-*.map
	rm -f ao_product.h

ao_font.h:
	cd ../draw && make ao_font.h ao_logo.h

ao_logo.h: ao_font.h

BitstreamVeraSans-Roman-58.c: ao_font.h
BitstreamVeraSans-Roman-24.c: ao_font.h
BitstreamVeraSans-Roman-10.c: ao_font.h
BitstreamVeraSans-Roman-12.c: ao_font.h
BenguiatGothicStd-Bold-26.c: ao_font.h

install:

uninstall:

=== debian/changelog ===
altos (1.9.18-1) unstable; urgency=medium

  [ Bdale Garbee ]
  * doc: fix a typo in the staging example
  * update Releasing with learnings from 1.9.17 release
  * set java-version=8 in rules to enable openjdk 21 support, closes: #1052587
  * add a paragraph about how to hook up a pressure sensor to an EasyMotor
  * kernel: conditionalize config "report in feet" on presence of baro sensor
  * fix product name
  * update ChangeLog for 1.9.18 release

  [ Keith Packard ]
  * doc: Use -optimize with asciidoctorpdf
  * micropeak: Include firmware in install bits
  * fixup seven segment debug code
  * altos: Use BMI088 as z-axis accel as needed
  * altos: Initial easytimer-v2 bits
  * altos: Build easytimer-v2 bits
  * altos/easytimer-v2: Add logging bits
  * altos/easytimer-v2: Update comments in flash loader ao_pins.h
  * altos/samd21: Enable stdio for USB by default
  * altos: Updating pyro format tried to copy entries with no value
  * altos/easytimer-v2: Initialize logging too
  * Fix configure tests for multi-arch libaltos
  * altos/lpc: Adjust ADC clock from 450kHz to 4.5MHz
  * ao-tools: Add flash utility for stm32f1x chips
  * altos: Start work on stm32f1 support
  * altos/stm32f1: More stm32f103 work
  * altos/stm32f103-nucleo: Use more bits
  * altos/stm32f1: Start work on self-flash code
  * stm32f1: Get boot loader working
  * altos/stm32f103-nucleo: Add boot loader
  * altos: Add ST7565 LCD driver
  * src/draw: Provide some useful constants
  * altos/draw: Build demos with -O3 to catch more bugs
  * altos/draw: Skip line adjustment for vertical/horizontal
  * altos/draw: Have each font declare ao_glyph_temp as .comm
  * altos/driver: Document setting for AO_ST7565_BIAS
  * altos/stm32f1: Add DMA and SPI drivers
  * altos/stm32f103-nucleo: Drive a screen too
  * altos/stm32f103-nucleo: Draw more of the LCO demo screen
  * altos: Clean up st7565 LCD driver
  * altos: Fix up stm32f103-nucleo 'lco' demo mode
  * altos/stm32f1: Add more IP block drivers
  * drivers: Add real i2c support to mmc5983
  * altos/easymega-v3.0: Switch to STM32F103
  * altos/telelco-v3: Create initial flash loader setup
  * altos/telelco-v3: Move USB pullup from PA9 to PA10
  * altos/stm32f1: Add ao_fast_timer.c
  * altos: Build in 'draw' directory first
  * altos: Add initial TeleLCO-v3 bits
  * altos/stm32f1: Add eeprom emulation using flash
  * altos/telelco-v3.0: Use eeprom emulation for config storage
  * altos/telelco-v3.0: Add some real drawing stuff
  * altos: Move ao_adc_single.h API header to kernel/
  * altos/stm32f1: Add ao_adc_single support
  * altos/telelco-v3.0: Add ao_adc_single usage to get battery voltage
  * altos/telelco-v3.0: Fix up search UI
  * altos/telelco*: Make LCO voltage display work on 2.0 and 3.0
  * altos/stm32f1: Support beeper on tim3
  * altos/stm32f1: Set PLLXTPRE value
  * altos/stm32f1: Add STM_RCC_CFGR_PLLXTPRE_MASK value
  * altos/telelco-v3.0: Add USB pull up
  * altos/stm32f1: Turn on ADC during initialization sequence
  * altos/stm32f1: Poke the ADC harder to get it to sample
  * altos/stm32f1: Allow PA6 to be left alone in the SPI code
  * altos/telelco-v3.0: Don't connect PA6 to SPI
  * altos/telelco-v3.0: Battery voltage is on PA2
  * altos/stm32f1: Support timers 2,3,4 for fast timer
  * altos/telelco-v3.0: Use timer 2 for fast timer
  * src/stm32f1: Disable extra JTAG pins in ao_clock_init
  * switch to mode 3 for LCD
  * stm32f1: make spi speed per-bus
  * altos: Add SPI bus parameter to ao_spi_speed
  * altos: Add wiring docs to st-7565 header
  * altos: Fix pretend pad range for TeleLCO
  * telelco-v3.0: Minor setup fixes
  * altos: Build TeleLCO v3.0 bits by default
  * altos/telelco-v3.0: Add contrast setting
  * altos: Bump ST7565 speed to 20MHz
  * altos/telelco-v3.0: Configure SPI GPIO pins to 50MHz
  * altos/stm32f1: For some reason the DBG registers aren't always available
  * altos: Add support for backlight control in ao_lco_bits
  * altos/telelco-v3.0: Control LCD backlight with PWM
  * telelco-v3.0: Add info page
  * altos/telelco-v3: Add logo to 'info' page
  * altos/draw: Add ao_text_width
  * altos/telelco: Update backlight/contrast display upon change
  * altos/st7565: Diff image during update
  * altos/telelco-v3.0: Show backlight/contrast value as percent
  * altos/stm32f1: Set beeper pin to 0 while off
  * altos/telelco: Add per-box RSSI display screen
  * altos/telelco: Add RSSI display to older devices
  * altos/st7565: Set default contrast to 13
  * altos/telelco-v3: Minor UI tweaks
  * altos/easytimer-v2: Fix up ao_pins.h
  * altoslib: Add EasyTimer-v2 support
  * altos/easytimer-v2: Set default log size to 192kB
  * altos/easytimer-v2: Fix product name
  * altosui: Make accel cal dialog say 'beeper' instead of 'antenna'
  * stm32f1: Clean up some ADC definitions
  * src/easymini-2.0: Add combined .dfu file for Seeed testing
  * altoslib: Add EasyMega v3.0 support
  * altos/stm32f103: Fix continuous ADC code
  * altos: Build EasyMega v3.0 by defaul
  * altos/easymega-v3.0: Update i2c pin usage
  * altos/stm32f1: Grab both TX/RX DMA mutexes while doing I2C
  * altos/easytimer-v2: Generate combined .ihx file for seeed testing
  * altos: ao_fec_prepare using wrong value for input len
  * altos/test: Adjust CRC error rate after FEC fix
  * altos/test: Add FEC test for simple 'hello' message
  * altosui: Set the beeper to 0 to disable
  * altosui: Support gps receiver setting
  * Add EasyTimer v2 firmware
  * doc: Add 1.9.18 release notes
  * Version 1.9.18
  * Fix up fat build target
  * altos/draw: Add 'install' target
  * doc: Add 1.9.18 release notes
  * Version 1.9.18

 -- Bdale Garbee <bdale@gag.com>  Sun, 28 Apr 2024 19:45:15 -0600

## altos 1.9.19

=== src/Makefile ===
--- 
+++ 
@@ -63,7 +63,7 @@
 AVRDIRS=\
 	micropeak microkite microsplash
 
-SUBDIRS=draw
+SUBDIRS=draw test
 
 ifeq ($(strip $(HAVE_ARM_M3_CC)),yes)
 SUBDIRS+=$(ARMM3DIRS)

=== debian/changelog ===
altos (1.9.19-1) unstable; urgency=medium

  [ Bdale Garbee ]
  * capture things learned during 1.9.18 release
  * remove garbage line from easymotor turnon script
  * first cut at turnon scripts for EasyTimer v2
  * doc: add Terry Lee's TRA and NAR numbers to TeleLaunch doc
  * doc: clarify how EasyMotor gets put into idle mode
  * docs: correct EasyMotor v3.0 battery in specs table
  * doc: EasyTimer v2.0 also has mag sensor
  * doc: reflect move of mailing list from lists.gag.com to groups.io
  * include EasyMega v3 firmware in that captured in LLC repo during release
  * make EasyMini v2.1 our "current" thing to flash/cal/test
  * production bench scripts for EasyMega v3
  * capture link for EasyMini production scripts
  * update ChangeLog for 1.9.19 release

  [ Keith Packard ]
  * altos/easymini-v2.0: Remove combined .dfu file
  * altos/test: Get the flight software test code working again
  * altosui: Add config and pyro tabs to graph widget
  * altos/easymega-v3.0: Add combined dfu and ihx targets
  * src/telelco-v3.0: Increase LED test time to 1 second
  * altos/telelco-v3.0: Delete debug code
  * altos/telelco-v3.0: Add "Scanning..." to startup screen
  * altos/telelco-v3.0: Display good vs bad packets received
  * altos/telelco-v3.0: Swap version and serial on info page
  * altos/telelco-v3.0: Merge info into one screen
  * telelco-v3.0: Support ambient light sensor
  * altosui: Don't add pyro table to graph UI when npyro == MISSING
  * altoslib: Check for negative tick wrap when importing flight records
  * ao-bringup: Re-add cal-freq
  * src: Open up the ADXL375 self test range
  * ao-accel-cal: Validate ADXL375 sensitivity
  * doc: Version 1.9.19 release notes
  * Add easymega v3.0 firmware to fat images
  * Version 1.9.19

 -- Bdale Garbee <bdale@gag.com>  Mon, 05 Aug 2024 10:40:21 -0600

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: altos
 Section: electronics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Bdale Garbee <bdale@gag.com>
+Maintainer: Bdale Garbee <bdale@gag.com>
 Uploaders: Keith Packard <keithp@keithp.com>
 Build-Depends: asciidoctor,
                ruby-asciidoctor-pdf,
@@ -28,6 +27,7 @@
                libjfreechart-java,
                libreadline-dev,
                librsvg2-bin,
+               libssl-dev,
                libtool,
                libusb-1.0-0-dev,
                netpbm,
@@ -35,6 +35,7 @@
 	       cairo-5c,
                pkg-config,
                shared-mime-info,
+               sox,
                swig
 Standards-Version: 4.6.0
 Homepage: http://altusmetrum.org/AltOS

## altos 1.9.20

=== debian/changelog ===
altos (1.9.20-1) unstable; urgency=medium

  [ Keith Packard ]
  * Add a note about specs.inc to Releasing
  * doc: Add EasyMega v3 to doc/specs.inc
  * altoslib: Ignore content-length when fetching map tiles
  * map-server: Make sample map tile fetch script use valid zoom
  * altoslib: Add TeleGPS v4 bits
  * mpusb-3.0: Add cast to putchar call. Make compiler happy.
  * altosdroid: Reduce lint in java code
  * altosdroid: Remove spurious /> in an xml file
  * doc: Clean up some asciidoctor complaints
  * src: Add more includes to ao.h
  * Add built versions of altosdroid
  * altos: Add telegps v4.0 test firmware
  * telegps-v4.0-seeed: Use simpler failure indicators
  * altos: Add ao_radio_post (power-on self-test) for cc1200
  * telegps-v4.0-seeed: Test CC1200 using ao_radio_post
  * altos: Add TeleMega v7.0 firmware and flash loader
  * altos/micropeak: Ignore another GCC warning
  * altos: Add telemega test for seeed
  * altos/telemega-v7.0-seeed: Report success with just the green LED
  * altos: Use smaller crt0 for stm boot loader
  * altos: Allow telebt test code to redefine how BT panics are handled
  * Add telebt v4.0 seeed test code
  * altos: Add Makefiles for telebt v4.0 seeed test code
  * altos: ignore the first few battery values in telebt-v4.0-seeed
  * altosuilib: Adapt to jfreechart 1.5.5 update
  * doc: Add micropeak outline doc
  * telemega-v7.0: Set ublox version to 10
  * telemega-v7.0-seeed: Set ublox version
  * altos: Add 30V pyro log/telem options for telemega v7.0
  * Add TeleMega v7.0 firmware and specs
  * Add 30v pyro voltage range support
  * doc: Add doc updates for version 1.9.20
  * Version 1.9.20

  [ Bdale Garbee ]
  * add support for TeleGPS v4.0
  * add production flash/cal/test script for TeleLCO v3.0
  * include TeleLCO v3.0 firmware in Releasing file
  * altos: move Java minimum supported version from 7 to 8
  * altosui: handle another jfreechart 1.5.5 api change
  * add TeleMega v7 to firmware copied in Releasing
  * add production support for TeleMega v7.0
  * add production test support for TeleGPS v4.0
  * update ChangeLog for 1.9.20 release

 -- Bdale Garbee <bdale@gag.com>  Mon, 24 Mar 2025 13:11:32 -0600

altos (1.9.19-4) unstable; urgency=medium

  * cherry-pick patch from master branch that updates libjfreechart usage
    to reflect changes in version 1.5.5, closes: #1099215 

 -- Bdale Garbee <bdale@gag.com>  Mon, 03 Mar 2025 11:17:25 -0700

altos (1.9.19-3) unstable; urgency=medium

  * cherry-pick patch from master branch that moves to smaller crt0 to 
    resolve newer compiler overflowing bootloader flash, closes: #1095326

 -- Bdale Garbee <bdale@gag.com>  Fri, 21 Feb 2025 03:01:09 -0700

altos (1.9.19-2) unstable; urgency=medium

  * cherry-pick patch from master branch that fixes FTBFS due to needing
    another include, closes: #1082677 

 -- Bdale Garbee <bdale@gag.com>  Thu, 26 Sep 2024 11:08:46 -0600
